/* 
Theme Name: Hello Elementor Child
Theme URI: https://github.com/elementor/hello-theme-child/
Description: Hello Elementor Child is a child theme of Hello Elementor, created by Elementor team
Author: Elementor Team
Author URI: https://elementor.com/
Template: hello-elementor
Version: 2.0.0
Text Domain: hello-elementor-child
License: GNU General Public License v3 or later.
License URI: https://www.gnu.org/licenses/gpl-3.0.html
Tags: flexible-header, custom-colors, custom-menu, custom-logo, editor-style, featured-images, rtl-language-support, threaded-comments, translation-ready
*/

/* Add your custom styles here */

 /*Hide icons in Social media icons widget when no urls added*/
.elementor-widget-social-icons .elementor-grid-item:has(.elementor-social-icon[href=""]) ,
.elementor-widget-social-icons .elementor-grid-item:has(.elementor-social-icon[href="#"]), 
.elementor-widget-social-icons .elementor-grid-item:has(.elementor-social-icon:not([href])) {
  display: none;
}
body{
	overflow-x:hidden;
}


.reviews-slider .swiper-slide{
	background-image:url('/wp-content/uploads/2024/08/quote.png');
	background-repeat:no-repeat;
	background-size:44px;
	background-position: top 3rem center;
	
}
.reviews-slider .elementor-testimonial{
	padding-top:5.5rem;
}

.cover-img{
	  position: absolute;
    right: 0;
    bottom: 0;
    height: 100%;
    z-index: 0;
    width: 50vw;
}
.elementor-counter-title{
	text-align:center;
}


.list-awards *,
.list-cert * {
	color:var(--e-global-color-text);
}
.list-awards ul,
.list-cert ul{
	list-style:none;
	padding-left:0;
}
.list-cert ul li, 
.list-awards ul li{position:relative; display:flex; margin-bottom:3px;}

.list-cert ul li:before,
.list-awards ul li:before{
	content:'';
	display:flex;
	flex-shrink:0;
	margin-right:6px;
	width:22px;
	height:22px;
	
}
.list-awards ul li:before,
.list-cert ul li:before{
	background-image: url("data:image/svg+xml,%3Csvg width='24' height='24' viewBox='0 0 24 24' fill='none' xmlns='http://www.w3.org/2000/svg'%3E%3Cpath d='M10.243 16.3141L6 12.0701L7.414 10.6561L10.243 13.4841L15.899 7.82715L17.314 9.24215L10.243 16.3141Z' fill='%23000E2C'/%3E%3Cpath fill-rule='evenodd' clip-rule='evenodd' d='M1 12C1 5.925 5.925 1 12 1C18.075 1 23 5.925 23 12C23 18.075 18.075 23 12 23C5.925 23 1 18.075 1 12ZM12 21C10.8181 21 9.64778 20.7672 8.55585 20.3149C7.46392 19.8626 6.47177 19.1997 5.63604 18.364C4.80031 17.5282 4.13738 16.5361 3.68508 15.4442C3.23279 14.3522 3 13.1819 3 12C3 10.8181 3.23279 9.64778 3.68508 8.55585C4.13738 7.46392 4.80031 6.47177 5.63604 5.63604C6.47177 4.80031 7.46392 4.13738 8.55585 3.68508C9.64778 3.23279 10.8181 3 12 3C14.3869 3 16.6761 3.94821 18.364 5.63604C20.0518 7.32387 21 9.61305 21 12C21 14.3869 20.0518 16.6761 18.364 18.364C16.6761 20.0518 14.3869 21 12 21Z' fill='%23000E2C'/%3E%3C/svg%3E%0A");
	background-size:contain;
}

.elementor img.custom-review-img{
	border-radius:100%;
}



.accordion-colors details:nth-child(1) summary{	background-color:#F8F7F6!important;}
.accordion-colors details:nth-child(2) summary{	background-color:#F3F2F0!important;}
.accordion-colors details:nth-child(3) summary{	background-color:#EDEBE8!important;}

.accordion-gallery .gallery-columns-3 .gallery-item{max-width: 33.33%!important;}

.accordion-gallery img{
	height:18rem;
    object-fit:cover;
}

.eael-adv-accordion .eael-accordion-list .eael-accordion-header.active .fa-toggle{    transform: rotate(-180deg);}

.hide-if-empty:has(.e-loop-nothing-found-message){display: none;}

/* Blog */
.post-thumb a {
	display: block;
	height: 100%;
}

.recent-posts .elementor-post__text {
	display: flex;
}

.recent-posts .elementor-post__read-more-wrapper {
	margin-top: auto;
}
.elementor-posts-container .elementor-post__read-more,
.recent-posts .elementor-post__read-more{
	display: inline-block;
	border-bottom:1px solid var(--e-global-color-text);
	transition:all 0.3s ease;
}
.elementor-posts-container .elementor-post__read-more:hover,
.recent-posts .elementor-post__read-more:hover{
	border-bottom-color:var(--e-global-color-accent);
}
.post-content ul {
	margin-bottom: 1rem;
}

.post-content p {
	line-height: 1.5;
}

.post-content h2 {
	margin-top: 2rem;
	font-size: clamp(1.75rem, 1.625rem + 0.625vw, 2.25rem);
}
.blog-post-item img{
	aspect-ratio: 7 / 5;
}


/*Property-gallery*/

.property-gallery .gallery{
    display: flex;
    flex-wrap: wrap;
}
.property-gallery .gallery-icon.portrait {width: 100%;}

.property-gallery .elementor-image-gallery .gallery-item{
    display: flex;
}
.property-gallery .elementor-image-gallery .gallery-item a{
	display:block;
}
.property-gallery .elementor-image-gallery figure img{
	height:100%;
    object-fit:cover;
	max-height:160px;
	width: 100%;
}
@media screen and (max-width:767px){
	.fact-list .elementor-icon-list-item:not(:last-child):after{
	    height: 75%!important;

	}
	.property-slider .elementor-swiper-button{display:none!important;}
}

@media screen and (max-width:479px){
	.property-gallery .gallery.gallery-columns-4 .gallery-item{
		width:50%;
	}
}

/*Property loop item*/
.loop-item-card .elementor-icon-box-content{
	display: flex;
    align-self: center;
}
	
.loop-item-card .fact-list .elementor-icon-list-text{
	margin-left: -8px;
}
.loop-item-card .text-btn:hover p{
	text-decoration:none!important;
}
.loop-item-card .card-img a{
	overflow:hidden;
}
.loop-item-card .card-img img{
	transition:all 0.3s ease;
}
.loop-item-card .card-img a:hover > img{
	transform:scale(1.05);
}
.loop-item-card.standard .elementor-icon svg *{
	fill:var(--e-global-color-text);
}

.property-slider .swiper-button-lock{
	display:none!important;
}
.loop-item-card .elementor-icon-list-icon svg{
	    margin: 0 3px 0 0;
}
.amenities-title .elementor-icon-box-content{
	display:flex;
	align-items: center;
}

.property-content .elementor-widget-container{
	columns: 2;
}
.property-content .elementor-widget-container ul{
	margin-bottom:24px;
	margin-top:8px;
}
.property-content a{
	text-decoration:underline;
}

@media screen and (max-width:768px){
	.property-content .elementor-widget-container{
		columns: 1;
	}
}
.no-break{
	break-inside: avoid;
}

/*Show more gallery*/
.property-gallery .gallery-item a{
    position:relative;
    display: inline-block;
	--thumb-overlay: rgba(0, 0, 0, 0.4);
	display: block;
    height: 100%;
}
.property-gallery .gallery-item a:before{
	transition: all 0.3s ease;
}
.property-gallery .gallery-item a:hover{
	--thumb-overlay: rgba(0, 0, 0, 0.6);
}


/* Single POST content only (excludes header/footer/sidebars) */

.single-post .post-content a,
.elementor-widget-text-editor a{
  text-decoration: underline;
}
.single-post .post-content a:hover,
.elementor-widget-text-editor a:hover{
  	text-decoration:none;
}
.elementor-toc__list-item a,
.elementor-icon-list-items a{
	font-weight:inherit;
}

/* Blog ends */


/*IDX custom styles*/
#IDX-main, .idx-omnibar-form, .impress-row{
--idx-font-family:'Jost', sans-serif;
--idx-primary-color: #0b0c0f;
--idx-button-bg-hover: transparent; /*omnibar search button bg*/
--idx-button-color:#0b0c0f;	
--idx-button-text-color:#fff;
	
--idx-space-4: 13px;
--idx-stroke-gray:#c4c4c4;
--idx-border-radius:0px;
}

#IDX-detailsHeader{z-index:1!important;position: unset;}
#IDX-main input {
    border: 1px solid var(--idx-stroke-gray);
}
.IDX-wrapper-standard .IDX-alert-info{
	background-color:#eff3fc;
}
#IDX-main, #IDX-main label,
#IDX-resultsRow{
	font-family:var(--idx-font-family)
}
#IDX-main.IDX-category-details .IDX-panel-heading .IDX-panel-title,
.IDX-wrapper-standard .idx-results__header .idx-results-total__heading, .IDX-category-results.IDX-wrapper-standard .IDX-results__alert,
.IDX-topAction{
	font-family:var(--idx-font-family);
}
.single-idx-wrapper{overflow-x:hidden;}
#IDX-detailsPageContainer,
#IDX-main.IDX-wrapper-standard #IDX-detailsHeader .IDX-row,
.IDX-wrapper-standard .idx-results__refinement,
.IDX-customRegistrationFields,
.IDX-wrapper-standard .idx-results__content{padding-left:0;padding-right:0;}

.idx-omnibar-form label{color:#fff;}

#idx-results-header{background:#f8f8f8;border-bottom: 1px solid #efefef; }
.IDX-top-action__group--no-refinement{margin-left:0;margin-right:0;}
#IDX-resultsTopActions{background:#bcddff;box-shadow:none;}

.IDX-custom-form-element__group, .option.load-more, .select2-results__option.loading-results, .select2-results__option{
	background:#e6f2ff;
}

form.idx-omnibar-form{
    min-width: 650px;
    display: flex;
    gap: 2px;
    align-items: flex-start;
}
form.idx-omnibar-form input[type=text],
form.idx-omnibar-form input[type=number]{
    padding:11px 10px;
	border-color:#fff;
	color: var(--e-global-color-text)!important
}
form.idx-omnibar-form .awesomplete{flex-grow:1;}

form.idx-omnibar-form #idx-omnibar-extra-bath,
form.idx-omnibar-form #idx-omnibar-extra-bed{
    width:100px;
    padding-right:5px;
}

form.idx-omnibar-form #omnibar{
background:url('/wp-content/uploads/2025/06/location.png') no-repeat, #fff;	
}
form.idx-omnibar-form #idx-omnibar-extra-bath{
	background:url('/wp-content/uploads/2025/06/baths.png') no-repeat, #fff;
}
form.idx-omnibar-form #idx-omnibar-extra-bed{
	background:url('/wp-content/uploads/2025/06/beds.png') no-repeat, #fff;
}
form.idx-omnibar-form #idx-omnibar-extra-min-price{
	background:url('/wp-content/uploads/2025/06/price-min.png') no-repeat, #fff;
}
form.idx-omnibar-form #idx-omnibar-extra-max-price{
	background:url('/wp-content/uploads/2025/06/price-max.png') no-repeat, #fff;
}
form.idx-omnibar-form #omnibar,
form.idx-omnibar-form #idx-omnibar-extra-min-price,
form.idx-omnibar-form #idx-omnibar-extra-max-price,
form.idx-omnibar-form #idx-omnibar-extra-bath,
form.idx-omnibar-form #idx-omnibar-extra-bed{
	padding-left:36px;
	background-position:3px center;
	background-size:30px;
	border-radius:var(--idx-border-radius);
	height:49px;
}

form.idx-omnibar-form .idx-omnibar-price-container{
    width:160px;

}
form.idx-omnibar-form .idx-omnibar-extra{  
	display: flex;
    flex-direction: column;
}

form.idx-omnibar-form .idx-omnibar-input + ul:not(:empty){
	position:absolute;
	top:55px;
	background: #fff;
	padding:10px 0;
	list-style:none;
	width:100%;
	border:1px solid #bdbdbd;
}
form.idx-omnibar-form .idx-omnibar-input + ul li{padding: 0 15px;}

form.idx-omnibar-form .idx-omnibar-input + ul li:hover{
	background:var(--e-global-color-accent);
}
form.idx-omnibar-form mark{
	background:#ECEFF2;
}

form.idx-omnibar-form .visually-hidden{display:none;}

.idx-omnibar-extra-button i{padding-right:10px;}
form.idx-omnibar-form .idx-omnibar-extra-button{height:49px;}
form.idx-omnibar-form .idx-omnibar-extra-button:hover{
   background-color:var(--idx-button-bg-hover);
	color:#fff!important;
}
.IDX-wrapper-standard .IDX-btn{text-decoration:none;}
#IDX-main.IDX-wrapper-standard .IDX-btn.IDX-btn__PL{border-radius:var(--idx-border-radius)!important;}

.IDX-wrapper-standard .idx-dropdown .idx-dropdown__menu input[type="radio"]:checked+label>.IDX-radio-button__box{box-shadow: inset 0 0 0 6px #FFF, inset 0 0 0 30px var(--e-global-color-accent) );}

.select2-container--default .select2-results__option[aria-selected=true] .IDX-radio-button__box, input:checked + .IDX-radio-button__box{
	box-shadow: inset 0 0 0 6px #FFF, inset 0 0 0 30px #011D34;
}

#IDX-main #IDX-formSubmit{
	background:var(--e-global-color-accent);
	border-color:var(--e-global-color-accent);
}

#IDX-registration .IDX-btn-primary{background-color:var(--e-global-color-accent);}
.ui-dialog[aria-labelledby="ui-dialog-title-IDX-registration"] #IDX-registrationSignup .IDX-customRegistrationFields{
	display:flex;
	flex-direction: row;
	flex-wrap: wrap;
	justify-content: space-between;
}
.ui-dialog{border-radius:0;}
.ui-dialog p{text-align:center;}
.ui-dialog .ui-dialog-titlebar,
#IDX-registrationMessage{text-align:center; margin-bottom: 15px;}
#IDX-registrationMessage b{font-size:20px; padding-bottom: 10px; display: inline-block;}
.ui-dialog .ui-dialog-content{padding:0;}
.ui-dialog .ui-dialog-title{text-align:center;float:none;text-transform: uppercase;font-weight:400; font-size:34px;}

#IDX-registration .IDX-btn-primary:hover{
	background-color:#383836;border-color:#383836;
}

.IDX-radio-button__box{flex-shrink: 0;}
#IDX-refinementSearchForm .idx-dropdown button{
	background-color: #fff!important; 
	color:var(--idx-button-color)!important; 
}
#IDX-main .IDX-modifySearch,#IDX-main .IDX-newSearch,
#IDX-detailsTopNav a, #IDX-detailsPhotoGalleryLink,
#IDX-detailsHeaderActions a, #IDX-saveSearch, #IDX-searchPageWrapper .IDX-searchNavItem a,
#IDX-main .idx-results-refinement__actions,
#IDX-main idx-map-pin-popup a,
#navigation-container .idx-nav-button-container .idx-nav-button,
#IDX-main .IDX-detailsVirtualTourAction.IDX-btn{text-decoration:none;}

#IDX-searchPageWrapper .IDX-searchNavItem a,
.IDX-nav-items-container .IDX-searchNavItem,
.IDX-wrapper-standard .idx-dropdown__menu,
#IDX-main.IDX-category-details .IDX-form__element--PL,
.IDX-wrapper-standard .select2-container .select2-selection, 
.IDX-wrapper-standard .select2-container .select2-selection.select2-selection--multiple,
.IDX-contact__actions #IDX-submitBtn,
#IDX-mortgageCalculatorContent .idx-btn.idx-button-bottom,
#navigation-container .idx-nav-button-container .idx-nav-button,
#prime-map-search--results .listing-card__parent,
#prime-map-search--results .listing-card__image--wrap img,
.IDX-top-action__group a.IDX-btn--link.IDX-btn--link.IDX-btn--rounded{border-radius:var(--idx-border-radius);}

#IDX-main.IDX-category-details,
.IDX-nav-items-container .IDX-searchNavItem,
#IDX-main, #IDX-main label,
#navigation-container .idx-nav-button-container .idx-nav-button{font-weight: 400;}

.IDX-nav-items-container .IDX-searchNavItem{background:var(--e-global-color-accent);}

.IDX-wrapper-standard .idx-results+ div{opacity:0!important;}
.idx-wrapper .page-header,
.post-4074 #IDX-Subheader h1{
	margin: 1rem 0;
	padding: 3rem 2rem;
	background:#eff3fc;
}
#IDX-main idx-map-pin-popup a{
	font-size: 0.85rem;
    color: initial;
}

.IDX-nav-items-container .IDX-searchNavItem:hover, .IDX-nav-items-container .IDX-searchNavItem:focus{
	filter: none;
    background: #011D34;
}

.idx-wrapper .page-header h1{margin:0; text-align: center;max-width: 100%!important; font-size:clamp(2.25rem, 1.7143rem + 2.6786vw, 3rem);	font-weight: 400;}
.post-4076.idx-wrapper .page-header{display:none;}

.idx-listings-showcase{padding:0;}
.IDX-resultsVirtualTour, .IDX-resultsOpenHouse{padding: 5px 16px;}

#idx-results-content .idx-results__listings{
	overflow-x: hidden;
}

#IDX-main #IDX-detailsTopNav {display:none;}

.IDX-customRegistrationFields{gap:10px;}
#IDX-main.IDX-category-details .IDX-details-contact .IDX-contact__actions{margin: 20px 30px;}

#IDX-mortgageCalculatorContent .idx-input-group-prepend, #IDX-mortgageCalculatorContent .idx-input-group-append,
#IDX-mortgageCalculatorContent .idx-input-group .idx-form-control{height:38px;border-radius: 0;}

#navigation-container .idx-nav-button-container{padding-top:0;}
#navigation-container .idx-nav-button{
	height: 50px;
    line-height: 50px;
	background-color:var(--idx-button-gray);
	letter-spacing: 1.6px;
	font-size: 16px;
	width:auto;
	padding: 0 18px;
}
#navigation-container .idx-nav-button-container .idx-nav-button:first-child{margin-left:0;}
#navigation-container .idx-nav-button.idx-nav-button__active{background-color:var(--idx-button-color);opacity: 1;}
#navigation-container .idx-nav-button:hover{
	filter: brightness(0.60);
	background-color:var(--idx-button-gray);
	opacity:1;
}


.IDX-wrapper-standard .idx-listing-card__action i.fa:last-of-type,
.IDX-wrapper-standard .idx-listing-card__action i.fa{color:#fff;}
.IDX-wrapper-standard .idx-listing-card__action:hover i.fa:first-of-type, .IDX-wrapper-standard .idx-listing-card__action.IDX-removeProperty i.fa{
	opacity: 0.8;
    color: #fff;
}
.fa-2x{font-size:1.5em;}

#prime-map-search--results .listing-card__image--wrap img{}

.IDX-wrapper-standard .idx-listing-card__image-overlay{
	opacity: 0.3;
    background: #000000;
}
.IDX-category-results{}
.IDX-wrapper-standard .idx-listing-card--active .idx-listing-card__link::after, 
.IDX-wrapper-standard .idx-listing-card__link:hover::after, 
.IDX-wrapper-standard .idx-listing-card__link:focus::after, 
.IDX-wrapper-standard .idx-listing-card__link:active::after{
	box-shadow: none;
	opacity: 0.1;
    background: #000000;
}


.IDX-category-results{
	margin-bottom:3rem;
}
.IDX-category-results.IDX-wrapper-standard:not(.IDX-page-agent){overflow: hidden;}

#IDX-saveSearchWrapper, #idx-results-content, #idx-results-header{width:100%;}

.IDX-top-action__group{justify-content: flex-start;}
.IDX-top-action__group--no-refinement{ 
	margin-top: -33px;
    width: 20%;
    align-self: flex-end;
	
}
#IDX-main.IDX-wrapper-standard .IDX-btn.IDX-btn-primary.IDX-btn__PL.IDX-save-search--no-refinement {
	height:unset;
	padding: 6px 12px;
	width: auto;
	letter-spacing:0.05em;
	font-weight: 400;
}

#searchSetup #middlewareSearch #IDX-main .IDX-btn.IDX-btn__PL, #IDX-main.IDX-wrapper-standard .IDX-btn.IDX-btn__PL{font-weight:400;}
.IDX-top-action__group .IDX-btn:hover{
	filter: brightness(95%)!important;
    background: #fff;
}
.single-idx-wrapper .site-main{
	max-width:100%!important;
	padding-left:10px;
	padding-right:10px;
}


.impress-row{display:flex;width: 100%;column-gap:20px;padding-bottom:1.8rem;}
.impress-row:after, .impress-row:before{display:none!important;}
.impress-row .medium-4{width:32.33%;}
.impress-row .medium-3 { width: calc(25% - 15px);}
.impress-showcase-photo img{height:250px; max-height:100%; width: 100%; object-fit:cover;font-size: 14px;line-height: 1.2em;}
.impress-price{font-weight:500;}
.impress-showcase-property a{color:var(--e-global-color-text);}


@media (min-width:1025px) and (max-width: 1220px){
	.main-header .elementor-widget-nav-menu{--order:1!important;padding: 15px 0!important;width:100%!important;}
	.main-header .elementor-widget-button{--order:0!important;}
	.hero-section{margin-top:-140px;}
}

@media only screen and (min-width: 40.063em){
	.impress-row{max-width: 100%!important;}
}

@media (min-width: 769px){
	.single-idx-wrapper .site-main{padding-left:30px;padding-right:30px;}

}

@media (min-width: 1200px) {
	.single-idx-wrapper .site-main{max-width:1500px!important; padding-left:2rem;padding-right:2rem;}
	.idx-wrapper .page-header .entry-title{max-width:1500px!important;}
}


@media screen and (max-width: 992px) {	

	form.idx-omnibar-form{min-width:unset;}
	.idx-omnibar-extra-button {padding-left:16px!important;padding-right:16px!important;}
	#IDX-main.IDX-wrapper-standard #IDX-detailsHeader .IDX-h2{
		font-size:36px; text-transform:uppercase;
	}
}
@media (max-width: 640px) {
	.IDX-wrapper-standard .IDX-precision-navbar .IDX-nav-items-container .IDX-searchNavItem{
		background-color:var(--idx-primary-color);
	}
}

@media screen and (max-width: 768px) {
	.accordion-gallery img{height: 9rem;}
	.cover-img{width: 100%;}
	.fact-list .elementor-icon-list-item:not(:last-child):after{height: 75%!important;}
	/*Simple menu adjustment*/
	.simple-menu .elementor-nav-menu {
        justify-content: flex-start !important;
        margin-left: 0;
    }

	form.idx-omnibar-form{flex-direction: column;align-items: center;}
	form.idx-omnibar-form .awesomplete,
	form.idx-omnibar-form .idx-omnibar-price-container,
	form.idx-omnibar-form .idx-omnibar-extra,
	form.idx-omnibar-form #idx-omnibar-extra-bath, 
	form.idx-omnibar-form #idx-omnibar-extra-bed,
	.idx-omnibar-extra-button{width:100%;margin-top:5px;}
	form.idx-omnibar-form{gap: 5px;}
	
	.impress-row{flex-wrap:wrap;}
	.impress-row .small-12{width:100%;}
	.impress-showcase-photo img{height:auto; aspect-ratio: 4/3;}
}
@media screen and (min-width: 600px) {
	.ui-dialog[aria-labelledby="ui-dialog-title-IDX-registration"]{min-width: 700px;padding: 30px;font-size: 1rem;}
	.ui-dialog[aria-labelledby="ui-dialog-title-IDX-registration"] #IDX-toggleLogIn, 
	.ui-dialog[aria-labelledby="ui-dialog-title-IDX-registration"]#IDX-toggleSignUp{float:none;}
	
	#IDX-registration .IDX-control-group{
		width: 48%;
        margin: 0;
	}
	.IDX-signupLoginToggleWrap p{float:none;text-align:center;margin-top:15px;}
}